gcv(1)

NAME
gcv - graph file converter

SYNOPSIS
gcv [options] [igfile] [ogfile] [oxfile]

DESCRIPTION
The gcv program converts Scotch graph files from and to other external file formats.

File igfile is converted into graph file ogfile, with optional geometry data being put in geometry file oxfile, if it is available.

When file names are not specified, data is read from standard input and written to standard output. Standard streams can also be explicitly represented by a dash '-'.

When the proper libraries have been included at compile time, gcv can directly handle compressed graphs, both as input and output. A stream is treated as compressed whenever its name is postfixed with a compressed file extension, such as in 'brol.grf.bz2' or '-.gz'. The compression formats which can be supported are the bzip2 format ('.bz2'), the gzip format ('.gz'), and the lzma format ('.lzma').

OPTIONS

-h  Display some help.

-iifmt
    Set format of input graph file, which can be:

    bnum
        Boeing-Harwell format. This is a matrix format. Only square matrices are supported. Square matrices with unsymmetric pattern are symmetrized. In case the file contains several matrices, the num parameter allow the user to provide the index of the matrix to convert, starting from 0. When the num parameter is not set, it is assumed to be 0.

    c   Chaco format. This is an adjacency graph format, also used by MeTiS.

    m   Matrix Market format. This is a matrix format describing individual edges. Matrix pattern is symmetrized, such that rectangular matrices are eventually squared.

    s   Scotch graph format. This is an adjacency graph format.

-oofmt
    Set format of output graph file, which can be:

    c   Chaco format.

    m   Matrix Market symmetric pattern format.

    s   Scotch format. This is the default.

-V  Display program version and copyright.

EXAMPLE
Convert a Matrix Market graph into a Scotch graph. Matrix Market files do not comprise geometry data, so no geometry file is needed on output:

    $ gcv -im brol.mm brol.grf

SEE ALSO
gbase(1), gtst(1), gmap(1), gord(1), gout(1).

Scotch user's manual.

AUTHOR
Francois Pellegrini <francois.pellegrini@labri.fr>